"use strict";


script["TalkToLR"] = [`
scene npc_bedroom
show LR Normal`,
	{
		"Choice": {
			"Dialog": "What should I talk about?",
			"Array": {
				"Text": "Talk about the array.",
				"Do": "jump TalkToLRArray",
				"Condition": function () { return true; }
			},
			"Jade": {
				"Text": "Talk about the jade crest.",
				"Do": "jump TalkToLRJade",
				"Condition": function () {
					return storage.story.progress > 0;
				}
			},
			"Back": {
				"Text": "Go back.",
				"Do": "jump TalkToChoices",
				"Condition": function () { return true; }
			}
		}
	}
];

script["TalkToLRArray"] = [`
LR After we stepped into the array, the ground began to quake. I presumed it was a demonic beast. So, I went to the edge of the array to scout for information. Unfortunately, I hit a magic barrier and couldn’t get out.
LR In the next moment, I saw the distinctive robe worn by the Sect Master’s direct disciples flash by. I could clearly see the tassel with a <b>jade dragon crest</b> attached to the sword that hung from that person’s hip.
MC A jade dragon crest? Are you sure?
LR Yes, of course!
MC Why does the jade crest feel so familiar? What is it?
MC Why were you in the forest? It doesn’t look like you lost anything from the array.
LR To prove myself as Mo Tian Sect’s top disciple, of course! Spiritual herbs can be bought, but the experience is priceless!
`, function () { storage.testimony.array.lr = 1; return true; }, `
jump TalkToLR

`];

script["TalkToLRJade"] = [`
LR I only had a glimpse of it, because Chen Tianhe ran past me lightning quick. But I could discern the engraving as a dragon.
`, function () { storage.testimony.jade.lr = 1; return true; }, `
jump TalkToLR

`];


script["AccuseLR"] = [`
MC I name Li Ren as perpetrator.
show LR Normal
LR Me?! Don’t invent some trumped-up story to cover for your Shidi! Father, don’t let him persecute innocent people!
hide LR
show LX Normal
LX That’s a grave accusation! Where is your evidence, Zhou Linqi?
hide LX
MC Li Ren, if I recall accurately you should have a bell in your possession. Won’t you show us what you have hidden in your robe?
show bell
play sound Bell01
wait 1000

hide bell
show LR Normal
LR You are fabricating things now. What does this lump of metal prove?
MC It does prove a lot since it should be the real demonic device that activated the death array. Why else did you want to get rid of it earlier? As I expected, the inside of the bell has a diagram engraved.
LR That’s utter nonsense! It’s simply a protection spell, but it wasn’t strong enough. Now that it’s useless I wanted to throw it away. Also, don’t you remember that I stood far away from the array’s center?
MC It could be a protection enchantment. If my conjecture is correct, the bell should have provided an immunity effect for its user.
hide LR
show LX Normal
LX Zhou Linqi, you are just twisting your words. Li Ren was injured too!
MC Based on the testimonies, Li Ren stood near Chen Tianhe, but then ran out while the other disciples were rendered incapable. How could you have seen his jade crest from so far?
hide LX
show LR Normal
LR That, that…Father!
hide LR
show LX Normal
LX Whether he saw it or not doesn’t make him the culprit. The bell has no qi left in it anymore so we can’t tell if it was a demonic artifact like you claim. On the other hand, Chen Tianhe had one when we seized him.
ML I didn't bring the jade crest with me to the forest. Someone slipped it into my belongings to frame me!
LX Presumptuous! Who would dare to do so under my supervision?!
MC Only Shishu would be able to do so.
LX Outrageous! Have you lost your sense completely?
MC I’m more clear-headed than I have ever been.
LX Humph, where is your evidence? Do you have the jade crest to prove his claims?
MC I do not.
LX You—!
MC However, I saw someone stealing it before I could retrieve it from Chen Tianhe’s hiding place. And the only people who knew of its location were me, Tianhe and Shishu.
MC Since we assembled in a hurry, Shishu shouldn’t have been able to destroy the jade crest yet.
MC Please show us the items you’ve hidden in your robe.
LX Hmph!
show jade_crest with fadeIn
wait 2000

hide jade_crest
MC It’s the real jade crest without any demonic qi. That should suffice to back my theory.
MC Guards, seize Li Ren and his father Li Xun! We will conduct a proper investigation of the circumstances with them as the new suspects.
hide LX
GD Please come with us.
jump HappyEnd

`];